>Compiler les dernières versions Blender 2.5


>Comment compiler les dernières versions de Blender 2.5 disponibles sur le SVN ? Nouvelle version Beta sur le SVN !
Compilation effectuée pour Linux Ubuntu !
Actuellement, certains ont des difficultés à compiler après certaines évolutions de Blender 2.5.
Souvent c’est dû à un problème de dépendances, de version Python et FFMPEG…!

Description de la procédure : suite à des difficultés rencontrées par certains sur Lynx Lucid 10.04 : mise à jour le 14/07/2010
Je viens de refaire un tutoriel au format pdf qui fonctionne bien avec Ubuntu !
Je mets aussi mon fichier user-config.py à décompacter et mettre dans votre répertoire : /home/votre_nom/blender-svn/blender

Mise à jour
Pour ceux qui auraient des difficultés, ma version Blender 2.55 Beta r33293 compilée du 24/11/2010
Téléchargement du fichier Tarball à décompacter !

Si vous avez des questions, vous pouvez les poster sur mon forum ICI

Have fun !

Mise à jour le 14/12/2010
Vous pouvez maintenant voir ici un tutoriel vidéo : comment compiler Blender pour un OS en 64 bits
L‘utilisation des 64 bits du CPU étant de plus en plus nécessaire pour des questions de performances !
C‘est devenu une nécessité dans le monde de la 3d !

8 réflexions sur “>Compiler les dernières versions Blender 2.5

  1. Anonymous dit :

    >Bonjour et merci pour ton tuto, J'ai suivi la démarche sans pb, sauf que lorsque j'essaie de lancer ./blender, l'opération se termine pas un abandon. La seule erreur qu'il semble m'afficher est tout au debout:intern/ghost/intern/GHOST_WindowX11.cpp:213: X11 glXChooseVisual() failed, verify working openGL system!*** glibc detected *** ./blender: free(): invalid pointer: 0x00007fd4da37fe98 ***As-tu une idée de la cause de ce probleme? Merci de ton retour!

  2. PBRN dit :

    >Bonjour,Il semble qu'il ne trouve pas OpenGL.OpenGL est une librairie qui nécessite d'être gérée par par ta carte graphique.Quel carte graphique as-tu ?As-tu activé l'accélération 3d ?Ouvre un terminal et tape : glxinfoSi les informations sont retournées sans erreur, c'est que openGL est installé.Tu y verra aussi le nom et le type de ta carte graphiqueSi ta carte graphique ne gère pas openGL, ça va poser un problème ! Si tu veux plus de détails, tu peux me les poser ici :http://pbrn3d.forumsactifs.net/questions-sur-blender-25-f6/comment-compiler-blender-25-sur-ubuntu-t15.htmComme celà tout le monde en profite !@++

  3. Anonymous dit :

    >bonjour,j'ai bien la libxvidcore d'installé mais la compilation echoue toujour au moment du ling avec -lxvid.j'ai beau cherche je ne trouve pas. Le problém ce pose depuis que j'ai migré vers la version 10.4 d'ubuntu…Christophe.P.S: cela fait environ 2 ans que je compile la version svn.

  4. PBRN dit :

    >Bonjour,Alors pour -lxvid, ce qui veut dire libxvid-devIl faut faire dans le terminal:sudo apt-get install libxdiv-devRelancer la compilation et si il y a une autre librairie manquante, appliquer la même procédure jusqu'à ce qu'il n'y ait plus d'erreurs !@++

  5. Anonymous dit :

    >Bonjour,Il est 5:57 du matin du mardi 20 juillet 2010.Je viens de suis à l'exactitude la procédure indiqué sur le fichier pdf si dessus.Et blender c'est compilé parfaitement bien :)J'ai donc Blender 2.5 Alpha2 r30521 sur ma petite Lynx Lucid 10.04Voilà je voulais juste de dire un gros mercips: pour ceux qui copie/colle le script de user-config.py, pensais à faire un retour arriere(touche effacer) après mp3lame car sinon dans gedit c'est comme si on tapé une autre ligne du coup la partie vorbis theora etc… crée une erreur lors de la tentative de compilationencore mille merci ;)–Zel

  6. PBRN dit :

    >Bonjour,Et bien, c'est parfait !Normalement, dans la fichier user-config.py, il faut bien entendu que chaque lignes ne soient pas coupées. c'est une règle à respecterFichier user-config.pyhttp://fractales.3d.free.fr/blender/didacticiels/user-config.py.tar.gzA propos la version 2.5 beta vient de sortir sur le SVN, donc la BF ne va pas tarder à la mettre en ligne.@++

  7. Anonymous dit :

    >Bonjour,Merci pour l'info concernant la version beta. Après avoir compilé cette dernière j'ai remarqué que la touche Alt ne fonctionné plus.J'ai donc réactivé celle-ci dans "file/user preferences" puis onglet "input" et enfin coché case "emulate 3 Button mouse"J'avais rencontré le même problème lors de la compilation des versions précédentes. Je ne sais pas si c'est la faute à Compiz qui est activé, pourtant j'ai bien switché la touche Alt sur Supper dans compiz.Bref si certain on rencontré le même problème vous avez la solution ;)–Zel

  8. PBRN dit :

    >Salut,Et bien chez moi tout fonctionne sans problèmes !Pas de problèmes avec ALT !Il est possible que ce soit compiz, d'ailleurs certains conseillent de le désactiver.Je ne l'active pas vu que ça bouffe des ressources en plus, ça sert a rien sous Blender et je préfère attribuer des ressources à Blender. Blender a besoin d'une bonne carte graphique qu'il utilise au maximum. Plus on a de ressources et mieux c'est !Donc, il vaut mieux ne pas activer compiz ! ça pourrait même faire planter Blender avec certaines cartes graphiques !@++

Laisser un commentaire

Entrez vos coordonnées ci-dessous ou cliquez sur une icône pour vous connecter:

Logo WordPress.com

Vous commentez à l'aide de votre compte WordPress.com. Déconnexion / Changer )

Image Twitter

Vous commentez à l'aide de votre compte Twitter. Déconnexion / Changer )

Photo Facebook

Vous commentez à l'aide de votre compte Facebook. Déconnexion / Changer )

Photo Google+

Vous commentez à l'aide de votre compte Google+. Déconnexion / Changer )

Connexion à %s